<%@ page language="java" import="java.sql.*, javax.sql.*, com.sun.rowset.*" %>
<%-- Bemrk: rowset.jar fra Sun skal vre i CLASSPATH --%>

<%-- Anvend JSTLs core- og XML-tagbibliotek --%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/xml" prefix="x"%>

<html>
<head><title>XML-transformering af WebRowSet med JSTL</title></head>
<body>
<%
	Class.forName("com.mysql.jdbc.Driver");
	Connection con = DriverManager.getConnection("jdbc:mysql:///test");
	Statement stmt = con.createStatement();
	ResultSet rs = stmt.executeQuery("SELECT * FROM kunder");

	// Oprettelse fejler nogen gange frste gang (uvist hvorfor)
	try { new WebRowSetImpl(); } catch (Exception e) { } // ignorr fejlen
	WebRowSetImpl wrs = new WebRowSetImpl();

	//anden mulig lsning, se  http://forum.java.sun.com/thread.jspa?threadID=540624&tstart=270 (xxx ikke afprvet)
	//java.util.Locale loc =  Locale.getDefault();
	//java.util.Locale.setDefault(Locale.US);
	//WebRowSetImpl wrs = new WebRowSetImpl();
	//java.util.Locale.setDefault(loc);

	wrs.populate(rs);
	rs.close();
	// wrs.writeXml(System.out); // Skriv evt XML i webserverens logfil
%>

<%-- Skriv XML-streng til variablen kundeXml --%>
<jsp:useBean id="kundeXml" class="java.io.StringWriter" />
<% wrs.writeXml(kundeXml); %>

<%-- Fortolk XML-streng og put det parsede DOM-tr ind i kunder. 
     Vi fr data ud at kundeXml (der er af typen StringWriter) til en streng
     ved at stte den sammen med streng " " (t mellemrum): "${kundeXml} " --%>
<x:parse var="kunder" doc="${kundeXml} "/>

<h1>Liste over kunder (XML-transformeret WebRowSet)</h1>

<%-- Lb gennem alle rkkerne i tabellen og udskriv 1. og 2. kolonne --%>
<x:forEach select="$kunder//*[name()='currentRow']">
  Navn: <x:out select="*[1]"/><br>
  Kredit: <x:out select="*[2]"/><br>
	<hr>
</x:forEach>

Her er hele XML-dokumentet:
<pre>
<c:out value="${kundeXml}" />
</pre>

</body>
</html>