<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/xml" prefix="x"%>
<html>
<head><title>Syndikering med JSTL og XML</title></head>
<body>

<c:import var="rssKilde" url="http://www.dr.dk/nyheder/html/nyheder/rss/"/>
<x:parse var="rss" doc="${rssKilde}"/>

<h1>
	<x:out select="$rss//*[name()='channel']/*[name()='title'][1]"/>
</h1>
<x:out select="$rss//*[name()='channel']/*[name()='description'][1]"/>
<br>
Ls flere nyheder 
<a href="<x:out select="$rss//*[name()='channel']/*[name()='link'][1]"/>">her</a>

<ul>
	<x:forEach select="$rss//*[name()='item']">
		<li>
			<x:out select="./*[name()='title']"/><br>
			<font size="-1">
				<x:out select="./*[name()='description']" escapeXml="false" />
				<a href="<x:out select="./*[name()='link']"/>">ls mere</a><br><br>
			</font>
		</li>
	</x:forEach>
</ul>

</body>
</html>